com.impinj.octane

## Enum TagFilterStateUnawareAction

- java.lang.Object
- - java.lang.Enum<TagFilterStateUnawareAction>
  - - com.impinj.octane.TagFilterStateUnawareAction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TagFilterStateUnawareAction>

      public enum TagFilterStateUnawareAction
      extends java.lang.Enum<TagFilterStateUnawareAction>

  The action to perform when tag filter matches or doesn't match
  See Also:
    `TagFilter`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DoNothing` Leave the selected flag as it is
    `Select` Assert the selected flag
    `Unselect` Deassert the selected flag

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TagFilterStateUnawareAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TagFilterStateUnawareAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Select

          public static final TagFilterStateUnawareAction Select

      Assert the selected flag

    - #### Unselect

          public static final TagFilterStateUnawareAction Unselect

      Deassert the selected flag

    - #### DoNothing

          public static final TagFilterStateUnawareAction DoNothing

      Leave the selected flag as it is

  - ### Method Detail

    - #### values

          public static TagFilterStateUnawareAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TagFilterStateUnawareAction c : TagFilterStateUnawareAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TagFilterStateUnawareAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null